<div class="wm-step step-4">
	<div class="showLoad text-center" style="padding: 10px;" ng-show="loadingRates">
		<img ng-src="{{$parent.quickship.configure.base_url + 'img/loading.gif'}}" alt=""> Please hold a moment while we
		shop for the best rates for you...
	</div>
	<div class="group" ng-hide="loadingRates">
		<div class="row top-list">
			<div class="col col-md-12">
				<h2 class="nopadding">Shipping options</h2>
			</div>
			<p>Please choose a shipping option for each package.</p>

			<ul class="list-inline">
				<li>
					<strong>Sort by</strong>
				</li>
				<li>
					<a href="javascript:;" ng-click="orderBy = null;orderByReverse = false" id="orderByMostPopular"
					   title="Most popular">Most popular</a>
				</li>
				<li>
					<a href="javascript:;" ng-click="orderBy = 'rate_num';orderByReverse= false" id="orderByLowestPrice"
					   title="Lowest price">Lowest price</a>
				</li>
				<li>
					<a href="javascript:;" ng-click="orderBy = 'delivery_date_sort';orderByReverse = false"
					   id="orderByFastestDelivery" title="Est. Delivery">Est. Delivery</a>
				</li>
			</ul>
		</div>

		<div class="rates-accordion">
			<div class="rate-accordion-item"
				 ng-repeat="package_item in $parent.quickship.$storage.quickship.packages track by $index"
                 id="divPackage{{$index}}">
				<table class="table table-hover qs-shipment-table">
					<caption class="qs-shipment-tab" ng-click="$parent.currentRateGroup = $index">
						<h3 class="pull-left">Package {{$index+1}}</h3>
						<h4 class="pull-right">Selected:
							{{$parent.quickship.$storage.shippingRatesSelected[$index].price_num || 'None' | currency}}</h4>
					</caption>
					<thead ng-hide="$parent.currentRateGroup != $index">
					<tr>
						<th>Carrier</th>
						<th>Service</th>
						<th>Price</th>
                        <th>Est. Delivery</th>
						<th>&nbsp;</th>
					</tr>
					</thead>
					<tbody class="package_rate_list" ng-hide="$parent.currentRateGroup != $index">
					<tr ng-class="{'info': $parent.quickship.$storage.shippingRatesSelected[$parent.$index].shipping_rate_id == shipping_rate.rate_id}"
						ng-repeat="shipping_rate in $parent.quickship.$storage.shippingRates[$index] | orderBy:orderBy:orderByReverse"
						id="{{shipping_rate.rate_id}}">
						<td class="text-center"><img
													 ng-src="{{$parent.$parent.quickship.configure.base_url + 'img/carriers/'+(shipping_rate.carrier | lowercase)+'.jpg'}}"
													 alt=""></td>
						<td class="title service">{{shipping_rate.service}}</td>
						<td class="price">
                            <span ng-hide="$parent.$parent.quickship.$storage.simpleSteps">EST </span>
                            <span ng-show="$parent.$parent.quickship.$storage.simpleSteps">Starting at</span>
                            <span>{{shipping_rate.rate}}</span>
                        </td>
                        <td>{{shipping_rate.delivery_date}}</td>
						<td class="actions">
							<button class="btn btn-default"
									ng-click="$parent.quickship.selectService($parent.$index, shipping_rate)">Choose
							</button>
						</td>

					</tr>
					</tbody>
				</table>
			</div>
		</div>

		<span class="msg-error"></span>
	</div>
	<!-- /.group -->

	<div class="row text-center" ng-hide="loadingRates">
		<div class="col col-md-12">
			<button type="button" class="btn btn-default go-to-slide-3" ng-click="goBack()">Back</button>
			<button type="button" class="btn btn-success go-to-slide-5" ng-click="goNext()" ng-class="{'disabled': $parent.quickship.$storage.quickship.packages.length != $parent.quickship.$storage.shippingRatesSelected.length}" ng-disabled="$parent.quickship.$storage.quickship.packages.length != $parent.quickship.$storage.shippingRatesSelected.length">Next</button>
			<br><br>
		</div>
	</div>
	<!-- row 6 -->

</div><!-- step-4 -->
